Bug 1778681 - Some pages are missing title in html head
Summary: Some pages are missing title in html head
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Ondřej Pražák
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-02 10:01 UTC by Peter Dragun
Modified: 2020-10-27 12:59 UTC (History)
3 users (show)

Fixed In Version: foreman-2.1.0-0, tfm-rubygem-foreman-tasks-1.1.0, tfm-rubygem-foreman_openscap-3.0.0, tfm-rubygem-foreman_virt_who_configure-0.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29021 0 Normal Closed Some pages are missing title in html head 2020-10-28 17:20:00 UTC
Foreman Issue Tracker 29022 0 Normal Closed Missing title in page head 2020-10-28 17:20:00 UTC
Foreman Issue Tracker 29023 0 Normal Closed Missing title in page head 2020-10-28 17:20:00 UTC
Foreman Issue Tracker 29046 0 Normal Closed Add title to arf reports welcome page 2020-10-28 17:20:00 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:49 UTC

Description Peter Dragun 2019-12-02 10:01:14 UTC
Description of problem:
Some pages are missing title in html head so browser shows hostname

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 4

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Login page
2. Navigate to Monitor -> Tasks
3. Hosts -> Reports
4. Infrastructure -> Compute Resources
5. Infrastructure -> Virt-who configurations
6. Insights in all tabs
7. Administer -> LDAP Authentication
8. Administer -> User Groups

Actual results:
Hostname is shown on these pages

Expected results:
Pages should have own title.

Additional info:

Comment 6 Ondřej Pražák 2020-02-14 14:37:41 UTC
Created redmine issue https://projects.theforeman.org/issues/29021 from this bug

Comment 7 Ondřej Pražák 2020-02-14 14:41:29 UTC
Connecting redmine issue https://projects.theforeman.org/issues/29022 from this bug

Comment 8 Ondřej Pražák 2020-02-14 14:42:25 UTC
Connecting redmine issue https://projects.theforeman.org/issues/29023 from this bug

Comment 9 Ondřej Pražák 2020-02-18 12:12:34 UTC
Connecting redmine issue https://projects.theforeman.org/issues/29046 from this bug

Comment 10 Bryan Kearney 2020-03-02 15:04:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29046 has been resolved.

Comment 11 Peter Dragun 2020-05-28 10:59:24 UTC
Verified on Satellite 6.8 snap 2.
All mentioned pages contain title.

Comment 14 errata-xmlrpc 2020-10-27 12:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.